=== debian/changelog ===
ros-humble-camera-ros (0.1.0-2jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Christian Rauch <Rauch.Christian@gmx.de>  Tue, 11 Apr 2023 05:18:51 -0000
