=== debian/control ===
Source: ros-humble-camera-ros
Section: misc
Priority: optional
Maintainer: Christian Rauch <Rauch.Christian@gmx.de>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-clang-format <!nocheck>, ros-humble-ament-cmake-cppcheck <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-camera-info-manager, ros-humble-cv-bridge, ros-humble-libcamera, ros-humble-rclcpp-components, ros-humble-sensor-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-camera-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-camera-info-manager, ros-humble-cv-bridge, ros-humble-libcamera, ros-humble-rclcpp-components, ros-humble-sensor-msgs, ros-humble-ros-workspace
Description: node for libcamera supported cameras (V4L2, Raspberry Pi Camera Modules)
